#include<bits/stdc++.h>
using namespace std;
int trazi1(int a, char c, string t, int b)
{
    for(int i=a+1; i<b;i++)
    {
        if(c == t[i])
        {
            return i;
        }
    }
    return b;
}
int trazi2(int a, char c, string t, int b)
{
    for(int i=a+1; i<b;i++)
    {
        if(c == t[i])
        {
            return i;
        }
    }
    return a;
}
int main()
{
    int i,j,y,x,poc=10000,kraj=0;
    string t;
    cin>>t;
    j=t.size()-1;
    for(i=0; i <= j
    
    ; i++)
    {
        if(t[i] != t[j-i])
        {
            x=trazi1(i,t[j-i],t, j-i);
            y=trazi2(i,t[i],t,j-i);
            if(x - i <= j - i - y)
            {
                if(poc > i)
                {
                    poc=i;
                }
                if(kraj < x)
                {
                    kraj = x;
                }
                swap(t[i],t[x]);
            }
            else
            {
                if(kraj < j - i)
                {
                    kraj = j - i;
                }
                if(poc > y)
                {
                    poc = y;
                }
                swap(t[j-i],t[y]);
            }
        }
    }
    if(kraj - poc > 0)
    {
         cout<<kraj - poc + 1<<endl;
    }
    else
    {
        cout<<1<<endl;
    }
    return 0;
}